Infront Data Manager Connect Client (.NET)

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Gevasys.DataCore.Configuration.Generated.Secondary Class Reference

This class represents the ComplexType Secondary More...

Inherits Gevasys.DataCore.Configuration.Generated.XmlCommonBase.

## Public Member Functions
| Secondary ()
| Constructor for Secondary More...
| Secondary (String elementName)
override object | Clone ()
| Allows the class to be copied More...
override LiquidTechnologies.Runtime.Net40.XmlObjectBase | GetBase ()

## Protected Member Functions
override void | Init ()
| Initilizes the class More...

## Protected Attributes
Gevasys.DataCore.Configuration.Generated.TcpHost | m_TcpHost
Gevasys.DataCore.Configuration.Generated.NamedPipeHost | m_NamedPipeHost

## Properties
override String | TargetNamespace`[get]`
Gevasys.DataCore.Configuration.Generated.TcpHost | TcpHost`[get, set]`
| Represents an optional Element in the XML document More...
Gevasys.DataCore.Configuration.Generated.NamedPipeHost | NamedPipeHost`[get, set]`
| Represents an optional Element in the XML document More...
override String | Namespace`[get]`

## Detailed Description

This class represents the ComplexType Secondary

## Constructor & Destructor Documentation

## ◆ Secondary()

Gevasys.DataCore.Configuration.Generated.Secondary.Secondary | ( |  | ) |
| inline

Constructor for Secondary

The class is created with all the mandatory fields populated with the default data.
All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd

## Member Function Documentation

## ◆ Clone()

override object Gevasys.DataCore.Configuration.Generated.Secondary.Clone | ( |  | ) |
| inline

Allows the class to be copied

Performs a 'deep copy' of all the data in the class (and its children)

## ◆ Init()

override void Gevasys.DataCore.Configuration.Generated.Secondary.Init | ( |  | ) |
| inline protected

Initilizes the class

The Creates all the mandatory fields (populated with the default data) All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd.

## Property Documentation

## ◆ NamedPipeHost

Gevasys.DataCore.Configuration.Generated.NamedPipeHost Gevasys.DataCore.Configuration.Generated.Secondary.NamedPipeHost
| get set

Represents an optional Element in the XML document

This property is represented as an Element in the XML.
It is optional, initially it is null.

## ◆ TcpHost

Gevasys.DataCore.Configuration.Generated.TcpHost Gevasys.DataCore.Configuration.Generated.Secondary.TcpHost
| get set

Represents an optional Element in the XML document

This property is represented as an Element in the XML.
It is optional, initially it is null.

The documentation for this class was generated from the following file:

- Secondary.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1